Bug 466707 (CVE-2008-4554) - CVE-2008-4554 kernel: don't allow splice() to files opened with O_APPEND
Summary: CVE-2008-4554 kernel: don't allow splice() to files opened with O_APPEND
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-4554
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 466708 466709 466710
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-13 06:02 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-21 17:47:56 UTC


Attachments (Terms of Use)
Upstream patch for this issue (1.59 KB, patch)
2008-10-13 06:05 UTC, Eugene Teo (Security Response)
no flags Details | Diff
Proposed backport patch for realtime kernel (519 bytes, patch)
2008-10-13 07:26 UTC, Eugene Teo (Security Response)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:1017 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-12-16 07:33:56 UTC
Red Hat Product Errata RHSA-2009:0009 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-01-22 10:43:54 UTC

Description Eugene Teo (Security Response) 2008-10-13 06:02:22 UTC
Description of problem:
Miklos Szeredi reported that splice() to files opened with O_APPEND are ignored, which allows users to bypass the append-only restriction.

Comment 2 Eugene Teo (Security Response) 2008-10-13 06:05:27 UTC
Created attachment 320167 [details]
Upstream patch for this issue

Comment 4 Eugene Teo (Security Response) 2008-10-13 06:36:10 UTC
Reference:
http://article.gmane.org/gmane.comp.security.oss.general/1048

Comment 5 Eugene Teo (Security Response) 2008-10-13 07:26:14 UTC
Created attachment 320170 [details]
Proposed backport patch for realtime kernel

Comment 6 Luis Claudio R. Goncalves 2008-10-13 13:59:38 UTC
MRG: patch added to kernel -85

Comment 7 Fedora Update System 2008-10-23 16:37:58 UTC
kernel-2.6.26.6-49.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Vincent Danen 2010-12-21 17:47:56 UTC
This was addressed via:

Red Hat Enterprise Linux version 5 (RHSA-2008:1017)
MRG Realtime for RHEL 5 Server (RHSA-2009:0009)


Note You need to log in before you can comment on or make changes to this bug.